> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# Get serial numbers for an order

GET https://dream.rushorder.com/api/orders/serialnumbers

There are three ways to look up serial numbers. Supply only one:

- **PkgId**: a package ID, made of your client code, the Rush Order order number, and the inpart, such as `ABC1234A`.
- **orderNumber**: the order number Rush Order assigned to your order.
- **altOrderNumber**: the alternate order number you supplied when creating the order.

An *inpart* is a shipment in Rush Order's system, designated by a single letter from A to Z. Inparts are generated only once items have been processed.

Reference: https://docs.rushorder.com/api-reference/orders/get-serial-numbers

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `PkgId` (string, optional) — Package ID: your client code, the Rush Order order number, and the inpart. For example, `ABC1234A` is inpart A of order 1234 for client ABC.
- `orderNumber` (string, optional) — Rush Order specific order number
- `altOrderNumber` (string, optional) — Alternate order number, usually the source order number

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

## Response

### 200

OK

- `SerialNumbers` (list of OrderSerial, optional)
- `Success` (boolean, optional)
- `Error` (string, optional)
- `Message` (string, optional)

## Errors

### 404 Not Found Error

NotFound

- `SerialNumbers` (list of OrderSerial, optional)
- `Success` (boolean, optional)
- `Error` (string, optional)
- `Message` (string, optional)

## Types

### OrderSerial

- `Sku` (string, optional)
- `Serial` (string, optional)
- `Serial2` (string, optional)

## Examples

**Response**

```json
{
  "SerialNumbers": [
    {
      "Sku": "string",
      "Serial": "string",
      "Serial2": "string"
    }
  ],
  "Success": true,
  "Error": "string",
  "Message": "string"
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/orders/serialnumbers"

querystring = {"PkgId":"ABC1234A","altOrderNumber":"1234","orderNumber":"1234"}

headers = {
    "RushOrderMomCode": "ABC"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/orders/serialnumbers?PkgId=ABC1234A&altOrderNumber=1234&orderNumber=1234';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {RushOrderMomCode: 'ABC', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/orders/serialnumbers?PkgId=ABC1234A&altOrderNumber=1234&orderNumber=1234"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/orders/serialnumbers?PkgId=ABC1234A&altOrderNumber=1234&orderNumber=1234")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/orders/serialnumbers?PkgId=ABC1234A&altOrderNumber=1234&orderNumber=1234")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/orders/serialnumbers?PkgId=ABC1234A&altOrderNumber=1234&orderNumber=1234', [
  'headers' => [
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/orders/serialnumbers?PkgId=ABC1234A&altOrderNumber=1234&orderNumber=1234");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/orders/serialnumbers?PkgId=ABC1234A&altOrderNumber=1234&orderNumber=1234")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```